> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/smc-index/get-pool-method",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Pool Method

> Get pool data with all its nominators.



## OpenAPI

````yaml get /getPool
openapi: 3.1.0
info:
  title: TON SC Indexer V2
  description: TON Smart Contracts Indexer. Nominator pools, V2.
  version: 0.0.2
servers:
  - url: https://toncenter.com/api/smc-index
  - url: https://testnet.toncenter.com/api/smc-index
security: []
paths:
  /getPool:
    get:
      summary: Get Pool Method
      description: Get pool data with all its nominators.
      operationId: get_pool_method_api_smc_index_getPool_get
      parameters:
        - name: pool
          in: query
          required: true
          schema:
            type: string
            description: The pool address. Can be sent in hex, base64 or base64url form.
            title: Pool
          description: The pool address. Can be sent in hex, base64 or base64url form.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NominatorPoolModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
components:
  schemas:
    NominatorPoolModel:
      properties:
        stake_amount_sent:
          type: integer
          title: Stake Amount Sent
        validator_amount:
          type: integer
          title: Validator Amount
        nominators_count:
          type: integer
          title: Nominators Count
        active_nominators:
          items:
            $ref: '#/components/schemas/ActiveNominatorModel'
          type: array
          title: Active Nominators
        inactive_nominators:
          items:
            type: string
          type: array
          title: Inactive Nominators
      type: object
      required:
        - stake_amount_sent
        - validator_amount
        - nominators_count
        - active_nominators
        - inactive_nominators
      title: NominatorPoolModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ActiveNominatorModel:
      properties:
        address:
          type: string
          title: Address
        balance:
          type: integer
          title: Balance
        pending_balance:
          type: integer
          title: Pending Balance
      type: object
      required:
        - address
        - balance
        - pending_balance
      title: ActiveNominatorModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key

````